<template>
  <q-page padding>
    <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
      Gestion de Membresia
      <q-space />
      <div class="q-gutter-xs">
        <q-btn
          flat
          dense
          icon="format_list_bulleted"
          label="Listado Avanzado"
          to="/membresia/personas/listado"
        />
      </div>
    </q-toolbar>
    <div class="row q-col-gutter-sm q-mt-sm">
      <div class="col-md col-xs-12">
        <div class="text-titulo q-pa-xs">Busqueda Rapida de Persona</div>
        <BusquedaRapidaPersona />
      </div>
      <div class="col-md col-xs-12">
        <div class="text-titulo q-pa-xs">Beneficiarios por Rama</div>
        <q-card>
          <PieGenerico
            descripcion="Cantidad de IMs"
            url="/api/charts/persona/rama_beneficiarios"
          />
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import BusquedaRapidaPersona from './Index/BusquedaRapidaPersona.vue';
import PieGenerico from 'src/components/charts/PieGenerico.vue';

export default defineComponent({
  name: 'ExperienciasPage',
  components: { BusquedaRapidaPersona, PieGenerico },
  setup() {
    return {};
  },
});
</script>
